<div class="header bg-gradient-info pb-8 pt-5 pt-md-8">
  <div class="container-fluid">
    <div class="header-body">
      <!-- Card stats -->
      <div class="row">

      </div>
    </div>
  </div>
</div>
<!-- Page content -->
<div class="container-fluid mt--7">
  <!-- Table -->
  <div class="row">
    <div class="col">
      <div class="card shadow">
        <div class="card-header border-0">
          <h3 class="mb-0">Demands TABLE</h3>
        </div>
        <br>
        <form>

          <input type="file" #fileImportInput name="File Upload" id="txtFileUpload"
            (change)="fileChangeListener($event)" accept=".csv" />

          <input type="submit" value="Export CSVv" (click)="generateCSV()" />
        </form>
        <br><br><br>
        <div>
          <h3>exporter les donnée </h3>
          <br>
          <button type="button" class="btn btn-primary" (click)="Exportuniv()">Université </button>
          <button type="button" class="btn btn-outline-success" (click)="ExportEcole()">Ecole </button>

        </div>


        <ng2-smart-table [settings]="settings" [source]="demands" (userRowSelect)="funct($event)"
          (deleteConfirm)="onDeleteConfirm($event)"></ng2-smart-table>


        <div class="card-footer py-4">

        </div>
      </div>
    </div>
  </div>
</div>